Skip to content

Blocklist

All operations require authentication.

2 operationsv1/dedicated/ceph
Agent setup

List blocklist entriesBeta

GET
/1.0/dedicated/ceph/{serviceName}/osd/blocklist

Returns the client sessions currently blocklisted by the OSDs.

Path parameters

serviceName
required
string

Service name

Response

200blocklistsuccessful operation
entries
read-only
entry[]

List of blocklisted entities

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/osd/blocklist \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "entries": [ { "address": "string", "expiration": "2024-01-01T12:00:00Z" } ]}

Delete a blocklist entryBeta

DELETE
/1.0/dedicated/ceph/{serviceName}/osd/blocklist/{address}

Removes the client session from the OSD blocklist. This may corrupt data: read the Ceph documentation before calling.

Path parameters

address
required
string

Address

serviceName
required
string

Service name

Response

200—successful operation

Example uses address = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/osd/blocklist/{address} \
  -H "authorization: Bearer $OVH_TOKEN"